:root {
  --body-bg-color: #fff;
  --content-bg-color: #f5f5f5;
  --card-bg-color: #f5f5f5;
  --text-color: #555;
  --blockquote-color: #666;
  --link-color: #555;
  --link-hover-color: #222;
  --brand-color: #00008b;
  --brand-hover-color: #00008b;
  --table-row-odd-bg-color: #f9f9f9;
  --table-row-hover-bg-color: #f5f5f5;
  --menu-item-bg-color: #ddd;
  --btn-default-bg: transparent;
  --btn-default-color: var(--link-color);
  --btn-default-border-color: var(--link-color);
  --btn-default-hover-bg: transparent;
  --btn-default-hover-color: var(--link-hover-color);
  --btn-default-hover-border-color: var(--link-hover-color);
  --highlight-background: #1d1f21;
  --highlight-foreground: #c5c8c6;
  --highlight-gutter-background: #2d2f31;
  --highlight-gutter-foreground: #b4b7b5;
}
html {
  line-height: 1.15; /* 1 */
  -webkit-text-size-adjust: 100%; /* 2 */
}
body {
  margin: 0;
}
main {
  display: block;
}
h1 {
  font-size: 2em;
  margin: 0.67em 0;
}
hr {
  box-sizing: content-box; /* 1 */
  height: 0; /* 1 */
  overflow: visible; /* 2 */
}
pre {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
a {
  background: transparent;
}
abbr[title] {
  border-bottom: none; /* 1 */
  text-decoration: underline; /* 2 */
  text-decoration: underline dotted; /* 2 */
}
b,
strong {
  font-weight: bolder;
}
code,
kbd,
samp {
  font-family: monospace, monospace; /* 1 */
  font-size: 1em; /* 2 */
}
small {
  font-size: 80%;
}
sub,
sup {
  font-size: 75%;
  line-height: 0;
  position: relative;
  vertical-align: baseline;
}
sub {
  bottom: -0.25em;
}
sup {
  top: -0.5em;
}
img {
  border-style: none;
}
button,
input,
optgroup,
select,
textarea {
  font-family: inherit; /* 1 */
  font-size: 100%; /* 1 */
  line-height: 1.15; /* 1 */
  margin: 0; /* 2 */
}
button,
input {
/* 1 */
  overflow: visible;
}
button,
select {
/* 1 */
  text-transform: none;
}
button,
[type='button'],
[type='reset'],
[type='submit'] {
  -webkit-appearance: button;
}
button::-moz-focus-inner,
[type='button']::-moz-focus-inner,
[type='reset']::-moz-focus-inner,
[type='submit']::-moz-focus-inner {
  border-style: none;
  padding: 0;
}
button:-moz-focusring,
[type='button']:-moz-focusring,
[type='reset']:-moz-focusring,
[type='submit']:-moz-focusring {
  outline: 1px dotted ButtonText;
}
fieldset {
  padding: 0.35em 0.75em 0.625em;
}
legend {
  box-sizing: border-box; /* 1 */
  color: inherit; /* 2 */
  display: table; /* 1 */
  max-width: 100%; /* 1 */
  padding: 0; /* 3 */
  white-space: normal; /* 1 */
}
progress {
  vertical-align: baseline;
}
textarea {
  overflow: auto;
}
[type='checkbox'],
[type='radio'] {
  box-sizing: border-box; /* 1 */
  padding: 0; /* 2 */
}
[type='number']::-webkit-inner-spin-button,
[type='number']::-webkit-outer-spin-button {
  height: auto;
}
[type='search'] {
  outline-offset: -2px; /* 2 */
  -webkit-appearance: textfield; /* 1 */
}
[type='search']::-webkit-search-decoration {
  -webkit-appearance: none;
}
::-webkit-file-upload-button {
  font: inherit; /* 2 */
  -webkit-appearance: button; /* 1 */
}
details {
  display: block;
}
summary {
  display: list-item;
}
template {
  display: none;
}
[hidden] {
  display: none;
}
::selection {
  background: #262a30;
  color: #eee;
}
html,
body {
  height: 100%;
}
body {
  background: var(--body-bg-color);
  color: var(--text-color);
  font-family: Lato, 'PingFang SC', 'Microsoft YaHei', sans-serif;
  font-size: 1em;
  line-height: 2;
  min-height: 100%;
  position: relative;
  transition: padding 0.2s ease-in-out;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: Lato, 'PingFang SC', 'Microsoft YaHei', sans-serif;
  font-weight: bold;
  line-height: 1.5;
  margin: 30px 0 15px;
}
h1 {
  font-size: 1.5em;
}
h2 {
  font-size: 1.375em;
}
h3 {
  font-size: 1.25em;
}
h4 {
  font-size: 1.125em;
}
h5 {
  font-size: 1em;
}
h6 {
  font-size: 0.875em;
}
p {
  margin: 0 0 20px;
}
a {
  border-bottom: 1px solid #ccc;
  color: var(--link-color);
  cursor: pointer;
  outline: 0;
  text-decoration: none;
  overflow-wrap: break-word;
}
a:hover {
  border-bottom-color: var(--link-hover-color);
  color: var(--link-hover-color);
}
iframe,
img,
video,
embed {
  display: block;
  margin-left: auto;
  margin-right: auto;
  max-width: 100%;
}
hr {
  background-image: repeating-linear-gradient(-45deg, #ddd, #ddd 4px, transparent 4px, transparent 8px);
  border: 0;
  height: 3px;
  margin: 40px 0;
}
blockquote {
  border-left: 4px solid #ddd;
  color: var(--blockquote-color);
  margin: 0;
  padding: 0 15px;
}
blockquote cite::before {
  content: '-';
  padding: 0 5px;
}
dt {
  font-weight: bold;
}
dd {
  margin: 0;
  padding: 0;
}
.table-container {
  overflow: auto;
}
table {
  border-collapse: collapse;
  border-spacing: 0;
  font-size: 0.875em;
  margin: 0 0 20px;
  width: 100%;
}
tbody tr:nth-of-type(odd) {
  background: var(--table-row-odd-bg-color);
}
tbody tr:hover {
  background: var(--table-row-hover-bg-color);
}
caption,
th,
td {
  padding: 8px;
}
th,
td {
  border: 1px solid #ddd;
  border-bottom: 3px solid #ddd;
}
th {
  font-weight: 700;
  padding-bottom: 10px;
}
td {
  border-bottom-width: 1px;
}
.btn {
  background: var(--btn-default-bg);
  border: 2px solid var(--btn-default-border-color);
  border-radius: 0;
  color: var(--btn-default-color);
  display: inline-block;
  font-size: 0.875em;
  line-height: 2;
  padding: 0 20px;
  transition: background-color 0.2s ease-in-out;
}
.btn:hover {
  background: var(--btn-default-hover-bg);
  border-color: var(--btn-default-hover-border-color);
  color: var(--btn-default-hover-color);
}
.btn + .btn {
  margin: 0 0 8px 8px;
}
.btn .fa-fw {
  text-align: left;
  width: 1.285714285714286em;
}
.toggle {
  line-height: 0;
}
.toggle .toggle-line {
  background: #fff;
  display: block;
  height: 2px;
  left: 0;
  position: relative;
  top: 0;
  transition: all 0.4s;
  width: 100%;
}
.toggle .toggle-line:not(:first-child) {
  margin-top: 3px;
}
.toggle.toggle-arrow .toggle-line:first-child {
  left: 50%;
  top: 2px;
  transform: rotate(45deg);
  width: 50%;
}
.toggle.toggle-arrow .toggle-line:last-child {
  left: 50%;
  top: -2px;
  transform: rotate(-45deg);
  width: 50%;
}
.toggle.toggle-close .toggle-line:nth-child(2) {
  opacity: 0;
}
.toggle.toggle-close .toggle-line:first-child {
  top: 5px;
  transform: rotate(45deg);
}
.toggle.toggle-close .toggle-line:last-child {
  top: -5px;
  transform: rotate(-45deg);
}
/* Tomorrow Night Theme */
/* http://jmblog.github.com/color-themes-for-google-code-highlightjs */
/* Original theme - https://github.com/chriskempson/tomorrow-theme */
/* http://jmblog.github.com/color-themes-for-google-code-highlightjs */

/* Tomorrow Comment */
.hljs-comment,
.hljs-quote {
  color: #969896;
}

/* Tomorrow Red */
.hljs-variable,
.hljs-template-variable,
.hljs-tag,
.hljs-name,
.hljs-selector-id,
.hljs-selector-class,
.hljs-regexp,
.hljs-deletion {
  color: #cc6666;
}

/* Tomorrow Orange */
.hljs-number,
.hljs-built_in,
.hljs-builtin-name,
.hljs-literal,
.hljs-type,
.hljs-params,
.hljs-meta,
.hljs-link {
  color: #de935f;
}

/* Tomorrow Yellow */
.hljs-attribute {
  color: #f0c674;
}

/* Tomorrow Green */
.hljs-string,
.hljs-symbol,
.hljs-bullet,
.hljs-addition {
  color: #b5bd68;
}

/* Tomorrow Blue */
.hljs-title,
.hljs-section {
  color: #81a2be;
}

/* Tomorrow Purple */
.hljs-keyword,
.hljs-selector-tag {
  color: #b294bb;
}

.hljs {
  display: block;
  overflow-x: auto;
  background: #1d1f21;
  color: #c5c8c6;
  padding: 0.5em;
}

.hljs-emphasis {
  font-style: italic;
}

.hljs-strong {
  font-weight: bold;
}

.highlight:hover .copy-btn,
pre:hover .copy-btn {
  opacity: 1;
}
.copy-btn {
  color: #333;
  cursor: pointer;
  line-height: 1.6;
  opacity: 0;
  padding: 2px 6px;
  position: absolute;
  transition: opacity 0.2s ease-in-out;
  color: var(--highlight-foreground);
  font-size: 14px;
  right: 0;
  top: 2px;
}
figure.highlight {
  border-radius: 5px;
  box-shadow: 0 10px 30px 0 rgba(0,0,0,0.4);
  padding-top: 30px;
}
figure.highlight .table-container {
  border-radius: 0 0 5px 5px;
}
figure.highlight::before {
  background: #fc625d;
  box-shadow: 20px 0 #fdbc40, 40px 0 #35cd4b;
  left: 12px;
  margin-top: -20px;
  position: absolute;
  border-radius: 50%;
  content: ' ';
  height: 12px;
  width: 12px;
}
code,
kbd,
figure.highlight,
pre {
  background: var(--highlight-background);
  color: var(--highlight-foreground);
}
figure.highlight,
pre {
  line-height: 1.6;
  margin: 0 auto 20px;
}
figure.highlight figcaption,
pre .caption,
pre figcaption {
  background: var(--highlight-gutter-background);
  color: var(--highlight-foreground);
  display: flow-root;
  font-size: 0.875em;
  line-height: 1.2;
  padding: 0.5em;
}
figure.highlight figcaption a,
pre .caption a,
pre figcaption a {
  color: var(--highlight-foreground);
  float: right;
}
figure.highlight figcaption a:hover,
pre .caption a:hover,
pre figcaption a:hover {
  border-bottom-color: var(--highlight-foreground);
}
pre,
code {
  font-family: consolas, Menlo, monospace, 'PingFang SC', 'Microsoft YaHei';
}
code {
  border-radius: 3px;
  font-size: 0.875em;
  padding: 2px 4px;
  overflow-wrap: break-word;
}
kbd {
  border: 2px solid #ccc;
  border-radius: 0.2em;
  box-shadow: 0.1em 0.1em 0.2em rgba(0,0,0,0.1);
  font-family: inherit;
  padding: 0.1em 0.3em;
  white-space: nowrap;
}
figure.highlight {
  position: relative;
}
figure.highlight pre {
  border: 0;
  margin: 0;
  padding: 10px 0;
}
figure.highlight table {
  border: 0;
  margin: 0;
  width: auto;
}
figure.highlight td {
  border: 0;
  padding: 0;
}
figure.highlight .gutter {
  -moz-user-select: none;
  -ms-user-select: none;
  -webkit-user-select: none;
  user-select: none;
}
figure.highlight .gutter pre {
  background: var(--highlight-gutter-background);
  color: var(--highlight-gutter-foreground);
  padding-left: 10px;
  padding-right: 10px;
  text-align: right;
}
figure.highlight .code pre {
  padding-left: 10px;
  width: 100%;
}
pre .caption,
pre figcaption {
  margin-bottom: 10px;
}
.gist table {
  width: auto;
}
.gist table td {
  border: 0;
}
pre {
  overflow: auto;
  padding: 10px;
  position: relative;
}
pre code {
  background: none;
  padding: 0;
  text-shadow: none;
}
.blockquote-center {
  border-left: 0;
  margin: 40px 0;
  padding: 0;
  position: relative;
  text-align: center;
}
.blockquote-center::before,
.blockquote-center::after {
  left: 0;
  line-height: 1;
  opacity: 0.6;
  position: absolute;
  width: 100%;
}
.blockquote-center::before {
  border-top: 1px solid #ccc;
  text-align: left;
  top: -20px;
  content: '\f10d';
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.blockquote-center::after {
  border-bottom: 1px solid #ccc;
  bottom: -20px;
  text-align: right;
  content: '\f10e';
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.blockquote-center p,
.blockquote-center div {
  text-align: center;
}
.group-picture {
  margin-bottom: 20px;
}
.group-picture .group-picture-row {
  display: flex;
  gap: 3px;
  margin-bottom: 3px;
}
.group-picture .group-picture-column {
  flex: 1;
}
.group-picture .group-picture-column img {
  height: 100%;
  margin: 0;
  object-fit: cover;
  width: 100%;
}
.post-body .label {
  color: #555;
  padding: 0 2px;
}
.post-body .label.default {
  background: #f0f0f0;
}
.post-body .label.primary {
  background: #efe6f7;
}
.post-body .label.info {
  background: #e5f2f8;
}
.post-body .label.success {
  background: #e7f4e9;
}
.post-body .label.warning {
  background: #fcf6e1;
}
.post-body .label.danger {
  background: #fae8eb;
}
.post-body .link-grid {
  display: grid;
  grid-gap: 1.5rem;
  gap: 1.5rem;
  grid-template-columns: 1fr 1fr;
  margin-bottom: 20px;
  padding: 1rem;
}
@media (max-width: 767px) {
  .post-body .link-grid {
    grid-template-columns: 1fr;
  }
}
.post-body .link-grid .link-grid-container {
  border: solid #ddd;
  box-shadow: 1rem 1rem 0.5rem rgba(0,0,0,0.5);
  min-height: 5rem;
  min-width: 0;
  padding: 0.5rem;
  position: relative;
  transition: background 0.3s;
}
.post-body .link-grid .link-grid-container:hover {
  animation: next-shake 0.5s;
  background: var(--card-bg-color);
}
.post-body .link-grid .link-grid-container:active {
  box-shadow: 0.5rem 0.5rem 0.25rem rgba(0,0,0,0.5);
  transform: translate(0.2rem, 0.2rem);
}
.post-body .link-grid .link-grid-container .link-grid-image {
  border: 1px solid #ddd;
  border-radius: 50%;
  box-sizing: border-box;
  height: 5rem;
  padding: 3px;
  position: absolute;
  width: 5rem;
}
.post-body .link-grid .link-grid-container p {
  margin: 0 1rem 0 6rem;
}
.post-body .link-grid .link-grid-container p:first-of-type {
  font-size: 1.2em;
}
.post-body .link-grid .link-grid-container p:last-of-type {
  font-size: 0.8em;
  line-height: 1.3rem;
  opacity: 0.7;
}
.post-body .link-grid .link-grid-container a {
  border: 0;
  height: 100%;
  left: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
@-moz-keyframes next-shake {
  0% {
    transform: translate(1pt, 1pt) rotate(0deg);
  }
  10% {
    transform: translate(-1pt, -2pt) rotate(-1deg);
  }
  20% {
    transform: translate(-3pt, 0pt) rotate(1deg);
  }
  30% {
    transform: translate(3pt, 2pt) rotate(0deg);
  }
  40% {
    transform: translate(1pt, -1pt) rotate(1deg);
  }
  50% {
    transform: translate(-1pt, 2pt) rotate(-1deg);
  }
  60% {
    transform: translate(-3pt, 1pt) rotate(0deg);
  }
  70% {
    transform: translate(3pt, 1pt) rotate(-1deg);
  }
  80% {
    transform: translate(-1pt, -1pt) rotate(1deg);
  }
  90% {
    transform: translate(1pt, 2pt) rotate(0deg);
  }
  100% {
    transform: translate(1pt, -2pt) rotate(-1deg);
  }
}
@-webkit-keyframes next-shake {
  0% {
    transform: translate(1pt, 1pt) rotate(0deg);
  }
  10% {
    transform: translate(-1pt, -2pt) rotate(-1deg);
  }
  20% {
    transform: translate(-3pt, 0pt) rotate(1deg);
  }
  30% {
    transform: translate(3pt, 2pt) rotate(0deg);
  }
  40% {
    transform: translate(1pt, -1pt) rotate(1deg);
  }
  50% {
    transform: translate(-1pt, 2pt) rotate(-1deg);
  }
  60% {
    transform: translate(-3pt, 1pt) rotate(0deg);
  }
  70% {
    transform: translate(3pt, 1pt) rotate(-1deg);
  }
  80% {
    transform: translate(-1pt, -1pt) rotate(1deg);
  }
  90% {
    transform: translate(1pt, 2pt) rotate(0deg);
  }
  100% {
    transform: translate(1pt, -2pt) rotate(-1deg);
  }
}
@-o-keyframes next-shake {
  0% {
    transform: translate(1pt, 1pt) rotate(0deg);
  }
  10% {
    transform: translate(-1pt, -2pt) rotate(-1deg);
  }
  20% {
    transform: translate(-3pt, 0pt) rotate(1deg);
  }
  30% {
    transform: translate(3pt, 2pt) rotate(0deg);
  }
  40% {
    transform: translate(1pt, -1pt) rotate(1deg);
  }
  50% {
    transform: translate(-1pt, 2pt) rotate(-1deg);
  }
  60% {
    transform: translate(-3pt, 1pt) rotate(0deg);
  }
  70% {
    transform: translate(3pt, 1pt) rotate(-1deg);
  }
  80% {
    transform: translate(-1pt, -1pt) rotate(1deg);
  }
  90% {
    transform: translate(1pt, 2pt) rotate(0deg);
  }
  100% {
    transform: translate(1pt, -2pt) rotate(-1deg);
  }
}
@keyframes next-shake {
  0% {
    transform: translate(1pt, 1pt) rotate(0deg);
  }
  10% {
    transform: translate(-1pt, -2pt) rotate(-1deg);
  }
  20% {
    transform: translate(-3pt, 0pt) rotate(1deg);
  }
  30% {
    transform: translate(3pt, 2pt) rotate(0deg);
  }
  40% {
    transform: translate(1pt, -1pt) rotate(1deg);
  }
  50% {
    transform: translate(-1pt, 2pt) rotate(-1deg);
  }
  60% {
    transform: translate(-3pt, 1pt) rotate(0deg);
  }
  70% {
    transform: translate(3pt, 1pt) rotate(-1deg);
  }
  80% {
    transform: translate(-1pt, -1pt) rotate(1deg);
  }
  90% {
    transform: translate(1pt, 2pt) rotate(0deg);
  }
  100% {
    transform: translate(1pt, -2pt) rotate(-1deg);
  }
}
.post-body .note {
  border-radius: 3px;
  margin-bottom: 20px;
  padding: 1em;
  position: relative;
  border: 1px solid #eee;
  border-left-width: 5px;
}
.post-body .note summary {
  cursor: pointer;
  outline: 0;
}
.post-body .note summary p {
  display: inline;
}
.post-body .note h2,
.post-body .note h3,
.post-body .note h4,
.post-body .note h5,
.post-body .note h6 {
  border-bottom: initial;
  margin: 0;
  padding-top: 0;
}
.post-body .note p:first-child,
.post-body .note ul:first-child,
.post-body .note ol:first-child,
.post-body .note table:first-child,
.post-body .note pre:first-child,
.post-body .note blockquote:first-child,
.post-body .note img:first-child {
  margin-top: 0;
}
.post-body .note p:last-child,
.post-body .note ul:last-child,
.post-body .note ol:last-child,
.post-body .note table:last-child,
.post-body .note pre:last-child,
.post-body .note blockquote:last-child,
.post-body .note img:last-child {
  margin-bottom: 0;
}
.post-body .note.default {
  border-left-color: #777;
}
.post-body .note.default h2,
.post-body .note.default h3,
.post-body .note.default h4,
.post-body .note.default h5,
.post-body .note.default h6 {
  color: #777;
}
.post-body .note.primary {
  border-left-color: #6f42c1;
}
.post-body .note.primary h2,
.post-body .note.primary h3,
.post-body .note.primary h4,
.post-body .note.primary h5,
.post-body .note.primary h6 {
  color: #6f42c1;
}
.post-body .note.info {
  border-left-color: #428bca;
}
.post-body .note.info h2,
.post-body .note.info h3,
.post-body .note.info h4,
.post-body .note.info h5,
.post-body .note.info h6 {
  color: #428bca;
}
.post-body .note.success {
  border-left-color: #5cb85c;
}
.post-body .note.success h2,
.post-body .note.success h3,
.post-body .note.success h4,
.post-body .note.success h5,
.post-body .note.success h6 {
  color: #5cb85c;
}
.post-body .note.warning {
  border-left-color: #f0ad4e;
}
.post-body .note.warning h2,
.post-body .note.warning h3,
.post-body .note.warning h4,
.post-body .note.warning h5,
.post-body .note.warning h6 {
  color: #f0ad4e;
}
.post-body .note.danger {
  border-left-color: #d9534f;
}
.post-body .note.danger h2,
.post-body .note.danger h3,
.post-body .note.danger h4,
.post-body .note.danger h5,
.post-body .note.danger h6 {
  color: #d9534f;
}
.post-body .tabs {
  margin-bottom: 20px;
}
.post-body .tabs,
.tabs-comment {
  padding-top: 10px;
}
.post-body .tabs ul.nav-tabs,
.tabs-comment ul.nav-tabs {
  background: var(--body-bg-color);
  display: flex;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin: 0;
  padding: 0;
  position: -webkit-sticky;
  position: sticky;
  top: 0;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs,
  .tabs-comment ul.nav-tabs {
    display: block;
    margin-bottom: 5px;
  }
}
.post-body .tabs ul.nav-tabs li.tab,
.tabs-comment ul.nav-tabs li.tab {
  border-bottom: 1px solid #ddd;
  border-left: 1px solid transparent;
  border-right: 1px solid transparent;
  border-radius: 0 0 0 0;
  border-top: 3px solid transparent;
  flex-grow: 1;
  list-style-type: none;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab,
  .tabs-comment ul.nav-tabs li.tab {
    border-bottom: 1px solid transparent;
    border-left: 3px solid transparent;
    border-right: 1px solid transparent;
    border-top: 1px solid transparent;
  }
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab,
  .tabs-comment ul.nav-tabs li.tab {
    border-radius: 0;
  }
}
.post-body .tabs ul.nav-tabs li.tab a,
.tabs-comment ul.nav-tabs li.tab a {
  border-bottom: initial;
  display: block;
  line-height: 1.8;
  padding: 0.25em 0.75em;
  text-align: center;
  transition: all 0.2s ease-out;
}
.post-body .tabs ul.nav-tabs li.tab a i,
.tabs-comment ul.nav-tabs li.tab a i {
  width: 1.285714285714286em;
}
.post-body .tabs ul.nav-tabs li.tab.active,
.tabs-comment ul.nav-tabs li.tab.active {
  border-bottom-color: transparent;
  border-left-color: #ddd;
  border-right-color: #ddd;
  border-top-color: #fc6423;
}
@media (max-width: 413px) {
  .post-body .tabs ul.nav-tabs li.tab.active,
  .tabs-comment ul.nav-tabs li.tab.active {
    border-bottom-color: #ddd;
    border-left-color: #fc6423;
    border-right-color: #ddd;
    border-top-color: #ddd;
  }
}
.post-body .tabs ul.nav-tabs li.tab.active a,
.tabs-comment ul.nav-tabs li.tab.active a {
  cursor: default;
}
.post-body .tabs .tab-content,
.tabs-comment .tab-content {
  border: 1px solid #ddd;
  border-radius: 0 0 0 0;
  border-top-color: transparent;
}
@media (max-width: 413px) {
  .post-body .tabs .tab-content,
  .tabs-comment .tab-content {
    border-radius: 0;
    border-top-color: #ddd;
  }
}
.post-body .tabs .tab-content .tab-pane,
.tabs-comment .tab-content .tab-pane {
  padding: 20px 20px 0;
}
.post-body .tabs .tab-content .tab-pane:not(.active),
.tabs-comment .tab-content .tab-pane:not(.active) {
  display: none;
}
.pagination .prev,
.pagination .next,
.pagination .page-number,
.pagination .space {
  display: inline-block;
  margin: -1px 10px 0;
  padding: 0 10px;
}
@media (max-width: 767px) {
  .pagination .prev,
  .pagination .next,
  .pagination .page-number,
  .pagination .space {
    margin: 0 5px;
  }
}
.pagination .page-number.current {
  background: #ccc;
  border-color: #ccc;
  color: var(--content-bg-color);
}
.pagination {
  border-top: 1px solid #eee;
  margin: 120px 0 0;
  text-align: center;
}
.pagination .prev,
.pagination .next,
.pagination .page-number {
  border-bottom: 0;
  border-top: 1px solid #eee;
  transition: border-color 0.2s ease-in-out;
}
.pagination .prev:hover,
.pagination .next:hover,
.pagination .page-number:hover {
  border-top-color: var(--link-hover-color);
}
@media (max-width: 767px) {
  .pagination {
    border-top: 0;
  }
  .pagination .prev,
  .pagination .next,
  .pagination .page-number {
    border-bottom: 1px solid #eee;
    border-top: 0;
  }
  .pagination .prev:hover,
  .pagination .next:hover,
  .pagination .page-number:hover {
    border-bottom-color: var(--link-hover-color);
  }
}
.pagination .space {
  margin: 0;
  padding: 0;
}
.comments {
  margin-top: 60px;
  overflow: hidden;
}
.comment-button-group {
  display: flex;
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  justify-content: center;
  margin: 1em 0;
}
.comment-button-group .comment-button {
  margin: 0.1em 0.2em;
}
.comment-button-group .comment-button.active {
  background: var(--btn-default-hover-bg);
  border-color: var(--btn-default-hover-border-color);
  color: var(--btn-default-hover-color);
}
.comment-position {
  display: none;
}
.comment-position.active {
  display: block;
}
.tabs-comment {
  margin-top: 4em;
  padding-top: 0;
}
.tabs-comment .comments {
  margin-top: 0;
  padding-top: 0;
}
.headband {
  background: #222;
  height: 3px;
}
@media (max-width: 991px) {
  .headband {
    display: none;
  }
}
.header {
  background: var(--content-bg-color);
}
.header-inner {
  margin: 0 auto;
  width: 700px;
}
@media (min-width: 1200px) {
  .header-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .header-inner {
    width: 900px;
  }
}
.site-brand-container {
  display: flex;
  flex-shrink: 0;
  padding: 0 10px;
}
.use-motion .header,
.use-motion .site-brand-container .toggle {
  opacity: 0;
}
.site-meta {
  flex-grow: 1;
  text-align: center;
}
@media (max-width: 767px) {
  .site-meta {
    text-align: center;
  }
}
.custom-logo-image {
  margin-top: 20px;
}
@media (max-width: 991px) {
  .custom-logo-image {
    display: none;
  }
}
.brand {
  border-bottom: 0;
  color: var(--brand-color);
  display: inline-block;
  padding: 0 40px;
}
.brand:hover {
  color: var(--brand-hover-color);
}
.site-title {
  font-family: Lato, 'PingFang SC', 'Microsoft YaHei', sans-serif;
  font-size: 1.375em;
  font-weight: normal;
  margin: 0;
}
.site-subtitle {
  color: #999;
  font-size: 0.8125em;
  margin: 10px 0;
}
.use-motion .site-title,
.use-motion .site-subtitle,
.use-motion .custom-logo-image {
  opacity: 0;
  position: relative;
  top: -10px;
}
.site-nav-toggle,
.site-nav-right {
  display: none;
}
@media (max-width: 767px) {
  .site-nav-toggle,
  .site-nav-right {
    display: flex;
    flex-direction: column;
    justify-content: center;
  }
}
.site-nav-toggle .toggle,
.site-nav-right .toggle {
  color: var(--text-color);
  padding: 10px;
  width: 22px;
}
.site-nav-toggle .toggle .toggle-line,
.site-nav-right .toggle .toggle-line {
  background: var(--text-color);
  border-radius: 1px;
}
@media (max-width: 767px) {
  .site-nav {
    --scroll-height: 0;
    height: 0;
    overflow: hidden;
    transition: height 0.2s ease-in-out;
  }
  body:not(.site-nav-on) .site-nav .animated {
    animation: none;
  }
  body.site-nav-on .site-nav {
    height: var(--scroll-height);
  }
}
.menu {
  margin: 0;
  padding: 1em 0;
  text-align: center;
}
.menu-item {
  display: inline-block;
  list-style: none;
  margin: 0 10px;
}
@media (max-width: 767px) {
  .menu-item {
    display: block;
    margin-top: 10px;
  }
  .menu-item.menu-item-search {
    display: none;
  }
}
.menu-item a {
  border-bottom: 0;
  display: block;
  font-size: 0.8125em;
  transition: border-color 0.2s ease-in-out;
}
.menu-item a:hover,
.menu-item a.menu-item-active {
  background: var(--menu-item-bg-color);
}
.menu-item .fa,
.menu-item .fab,
.menu-item .far,
.menu-item .fas {
  margin-right: 8px;
}
.menu-item .badge {
  display: inline-block;
  font-weight: bold;
  line-height: 1;
  margin-left: 0.35em;
  margin-top: 0.35em;
  text-align: center;
  white-space: nowrap;
}
@media (max-width: 767px) {
  .menu-item .badge {
    float: right;
    margin-left: 0;
  }
}
.use-motion .menu-item {
  visibility: hidden;
}
.sidebar-inner {
  color: #999;
  max-height: calc(100vh - 36px);
  padding: 18px 10px;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.site-overview-item:not(:first-child) {
  margin-top: 10px;
}
.cc-license .cc-opacity {
  border-bottom: 0;
  opacity: 0.7;
}
.cc-license .cc-opacity:hover {
  opacity: 0.9;
}
.cc-license img {
  display: inline-block;
}
.site-author-image {
  border: 2px solid #fc6423;
  max-width: 96px;
  padding: 2px;
}
.site-author-name {
  color: #f5f5f5;
  font-weight: normal;
  margin: 5px 0 0;
}
.site-description {
  color: #999;
  font-size: 1em;
  margin-top: 5px;
}
.links-of-author a {
  font-size: 0.8125em;
}
.links-of-author .fa,
.links-of-author .fab,
.links-of-author .far,
.links-of-author .fas {
  margin-right: 2px;
}
.sidebar .sidebar-button:not(:first-child) {
  margin-top: 15px;
}
.sidebar .sidebar-button button {
  background: transparent;
  color: #fc6423;
  cursor: pointer;
  line-height: 2;
  padding: 0 15px;
  border: 1px solid #fc6423;
  border-radius: 4px;
}
.sidebar .sidebar-button button:hover {
  background: #fc6423;
  color: #fff;
}
.sidebar .sidebar-button button .fa,
.sidebar .sidebar-button button .fab,
.sidebar .sidebar-button button .far,
.sidebar .sidebar-button button .fas {
  margin-right: 5px;
}
.links-of-blogroll {
  font-size: 0.8125em;
}
.links-of-blogroll-title {
  font-size: 0.875em;
  font-weight: 600;
  margin-top: 0;
}
.links-of-blogroll-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.sidebar-dimmer {
  display: none;
}
@media (max-width: 991px) {
  .sidebar-dimmer {
    background: #000;
    display: block;
    height: 100%;
    left: 0;
    opacity: 0;
    position: fixed;
    top: 0;
    transition: visibility 0.4s, opacity 0.4s;
    visibility: hidden;
    width: 100%;
    z-index: 1100;
  }
  .sidebar-active .sidebar-dimmer {
    opacity: 0.7;
    visibility: visible;
  }
}
.sidebar-nav {
  display: none;
  margin: 0;
  padding-bottom: 20px;
  padding-left: 0;
}
.sidebar-nav-active .sidebar-nav {
  display: block;
}
.sidebar-nav li {
  border-bottom: 1px solid transparent;
  color: #666;
  cursor: pointer;
  display: inline-block;
  font-size: 0.875em;
}
.sidebar-nav li.sidebar-nav-overview {
  margin-left: 10px;
}
.sidebar-nav li:hover {
  color: #f5f5f5;
}
.sidebar-toc-active .sidebar-nav-toc,
.sidebar-overview-active .sidebar-nav-overview {
  border-bottom-color: #87daff;
  color: #87daff;
}
.sidebar-toc-active .sidebar-nav-toc:hover,
.sidebar-overview-active .sidebar-nav-overview:hover {
  color: #87daff;
}
.sidebar-panel-container {
  flex: 1;
  overflow-x: hidden;
  overflow-y: auto;
}
.sidebar-panel {
  display: none;
}
.sidebar-overview-active .site-overview-wrap {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.sidebar-toc-active .post-toc-wrap {
  display: block;
}
.sidebar-toggle {
  bottom: 45px;
  height: 12px;
  padding: 6px 5px;
  width: 14px;
  background: #222;
  cursor: pointer;
  opacity: 0.8;
  position: fixed;
  z-index: 1300;
  left: 30px;
}
@media (max-width: 991px) {
  .sidebar-toggle {
    left: 20px;
  }
}
.sidebar-toggle:hover {
  opacity: 1;
}
@media (max-width: 991px) {
  .sidebar-toggle {
    opacity: 1;
  }
}
.sidebar-toggle:hover .toggle-line {
  background: #87daff;
}
@media (any-hover: hover) {
  body:not(.sidebar-active) .sidebar-toggle:hover .toggle-line:first-child {
    left: 50%;
    top: 2px;
    transform: rotate(45deg);
    width: 50%;
  }
  body:not(.sidebar-active) .sidebar-toggle:hover .toggle-line:last-child {
    left: 50%;
    top: -2px;
    transform: rotate(-45deg);
    width: 50%;
  }
}
.sidebar-active .sidebar-toggle .toggle-line:nth-child(2) {
  opacity: 0;
}
.sidebar-active .sidebar-toggle .toggle-line:first-child {
  top: 5px;
  transform: rotate(45deg);
}
.sidebar-active .sidebar-toggle .toggle-line:last-child {
  top: -5px;
  transform: rotate(-45deg);
}
.post-toc {
  font-size: 0.875em;
}
.post-toc ol {
  list-style: none;
  margin: 0;
  padding: 0 2px 5px 10px;
  text-align: left;
}
.post-toc ol > ol {
  padding-left: 0;
}
.post-toc ol a {
  transition: all 0.2s ease-in-out;
}
.post-toc .nav-item {
  line-height: 1.8;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.post-toc .nav .nav-child {
  display: none;
}
.post-toc .nav .active > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child {
  display: block;
}
.post-toc .nav .active-current > .nav-child > .nav-item {
  display: block;
}
.post-toc .nav .active > a {
  border-bottom-color: #87daff;
  color: #87daff;
}
.post-toc .nav .active-current > a {
  color: #87daff;
}
.post-toc .nav .active-current > a:hover {
  color: #87daff;
}
.site-state {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  line-height: 1.4;
}
.site-state-item {
  padding: 0 15px;
}
.site-state-item a {
  border-bottom: 0;
  display: block;
}
.site-state-item-count {
  display: block;
  font-size: 1.25em;
  font-weight: 600;
}
.site-state-item-name {
  color: inherit;
  font-size: 0.875em;
}
.footer {
  color: #999;
  font-size: 0.875em;
  padding: 20px 0;
}
.footer.footer-fixed {
  bottom: 0;
  left: 0;
  position: absolute;
  right: 0;
}
.footer-inner {
  box-sizing: border-box;
  text-align: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  margin: 0 auto;
  width: 700px;
}
@media (min-width: 1200px) {
  .footer-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .footer-inner {
    width: 900px;
  }
}
.use-motion .footer {
  opacity: 0;
}
.languages {
  display: inline-block;
  font-size: 1.125em;
  position: relative;
}
.languages .lang-select-label span {
  margin: 0 0.5em;
}
.languages .lang-select {
  height: 100%;
  left: 0;
  opacity: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.with-love {
  color: #ff0000;
  display: inline-block;
  margin: 0 5px;
}
.busuanzi-count #busuanzi_container_site_uv {
  display: none;
}
.busuanzi-count #busuanzi_container_site_pv {
  display: none;
}
@-moz-keyframes icon-animate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-webkit-keyframes icon-animate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@-o-keyframes icon-animate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
@keyframes icon-animate {
  0%, 100% {
    transform: scale(1);
  }
  10%, 30% {
    transform: scale(0.9);
  }
  20%, 40%, 60%, 80% {
    transform: scale(1.1);
  }
  50%, 70% {
    transform: scale(1.1);
  }
}
.noscript-warning {
  background-color: #f55;
  color: #fff;
  font-family: sans-serif;
  font-size: 1rem;
  font-weight: bold;
  left: 0;
  position: fixed;
  text-align: center;
  top: 0;
  width: 100%;
  z-index: 1500;
}
.back-to-top {
  font-size: 12px;
  bottom: -100px;
  box-sizing: border-box;
  color: #fff;
  padding: 0 6px;
  transition: bottom 0.2s ease-in-out;
  background: #222;
  cursor: pointer;
  opacity: 0.8;
  position: fixed;
  z-index: 1300;
  left: 30px;
  width: 24px;
}
.back-to-top span {
  display: none;
}
@media (max-width: 991px) {
  .back-to-top {
    left: 20px;
  }
}
.back-to-top:hover {
  opacity: 1;
}
@media (max-width: 991px) {
  .back-to-top {
    opacity: 1;
  }
}
.back-to-top:hover {
  color: #87daff;
}
.back-to-top.back-to-top-on {
  bottom: 19px;
}
.rtl.post-body p,
.rtl.post-body a,
.rtl.post-body h1,
.rtl.post-body h2,
.rtl.post-body h3,
.rtl.post-body h4,
.rtl.post-body h5,
.rtl.post-body h6,
.rtl.post-body li,
.rtl.post-body ul,
.rtl.post-body ol {
  direction: rtl;
  font-family: UKIJ Ekran;
}
.rtl.post-title {
  font-family: UKIJ Ekran;
}
.post-button {
  margin-top: 40px;
  text-align: center;
}
.use-motion .post-block,
.use-motion .pagination,
.use-motion .comments {
  visibility: hidden;
}
.use-motion .post-header {
  visibility: hidden;
}
.use-motion .post-body {
  visibility: hidden;
}
.use-motion .collection-header {
  visibility: hidden;
}
.posts-collapse .post-content {
  margin-bottom: 35px;
  margin-left: 35px;
  position: relative;
}
@media (max-width: 767px) {
  .posts-collapse .post-content {
    margin-left: 0;
    margin-right: 0;
  }
}
.posts-collapse .post-content .collection-title {
  font-size: 1.125em;
  position: relative;
}
.posts-collapse .post-content .collection-title::before {
  background: #999;
  border: 1px solid #fff;
  margin-left: -6px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  border-radius: 50%;
  content: ' ';
  height: 10px;
  width: 10px;
}
.posts-collapse .post-content .collection-year {
  font-size: 1.5em;
  font-weight: bold;
  margin: 60px 0;
  position: relative;
}
.posts-collapse .post-content .collection-year::before {
  background: #bbb;
  margin-left: -4px;
  margin-top: -4px;
  position: absolute;
  top: 50%;
  border-radius: 50%;
  content: ' ';
  height: 8px;
  width: 8px;
}
.posts-collapse .post-content .collection-header {
  display: block;
  margin-left: 20px;
}
.posts-collapse .post-content .collection-header small {
  color: #bbb;
  margin-left: 5px;
}
.posts-collapse .post-content .post-header {
  border-bottom: 1px dashed #ccc;
  margin: 30px 2px 0;
  padding-left: 15px;
  position: relative;
  transition: border 0.2s ease-in-out;
}
.posts-collapse .post-content .post-header::before {
  background: #bbb;
  border: 1px solid #fff;
  left: -6px;
  position: absolute;
  top: 0.75em;
  transition: background 0.2s ease-in-out;
  border-radius: 50%;
  content: ' ';
  height: 6px;
  width: 6px;
}
.posts-collapse .post-content .post-header:hover {
  border-bottom-color: #666;
}
.posts-collapse .post-content .post-header:hover::before {
  background: #222;
}
.posts-collapse .post-content .post-meta-container {
  display: inline;
  font-size: 0.75em;
  margin-right: 10px;
}
.posts-collapse .post-content .post-title {
  display: inline;
}
.posts-collapse .post-content .post-title a {
  border-bottom: 0;
  color: var(--link-color);
}
.posts-collapse .post-content .post-title .fa-external-link-alt {
  font-size: 0.875em;
  margin-left: 5px;
}
.posts-collapse .post-content::before {
  background: #f5f5f5;
  content: ' ';
  height: 100%;
  margin-left: -2px;
  position: absolute;
  top: 1.25em;
  width: 4px;
}
.post-body {
  font-family: Lato, 'PingFang SC', 'Microsoft YaHei', sans-serif;
  overflow-wrap: break-word;
}
@media (min-width: 1200px) {
  .post-body {
    font-size: 1.125em;
  }
}
@media (min-width: 992px) {
  .post-body {
    text-align: justify;
  }
}
@media (max-width: 991px) {
  .post-body {
    text-align: justify;
  }
}
.post-body h1 .header-anchor,
.post-body h2 .header-anchor,
.post-body h3 .header-anchor,
.post-body h4 .header-anchor,
.post-body h5 .header-anchor,
.post-body h6 .header-anchor,
.post-body h1 .headerlink,
.post-body h2 .headerlink,
.post-body h3 .headerlink,
.post-body h4 .headerlink,
.post-body h5 .headerlink,
.post-body h6 .headerlink {
  border-bottom-style: none;
  color: inherit;
  float: right;
  font-size: 0.875em;
  margin-left: 10px;
  opacity: 0;
}
.post-body h1 .header-anchor::before,
.post-body h2 .header-anchor::before,
.post-body h3 .header-anchor::before,
.post-body h4 .header-anchor::before,
.post-body h5 .header-anchor::before,
.post-body h6 .header-anchor::before,
.post-body h1 .headerlink::before,
.post-body h2 .headerlink::before,
.post-body h3 .headerlink::before,
.post-body h4 .headerlink::before,
.post-body h5 .headerlink::before,
.post-body h6 .headerlink::before {
  content: '\f0c1';
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.post-body h1:hover .header-anchor,
.post-body h2:hover .header-anchor,
.post-body h3:hover .header-anchor,
.post-body h4:hover .header-anchor,
.post-body h5:hover .header-anchor,
.post-body h6:hover .header-anchor,
.post-body h1:hover .headerlink,
.post-body h2:hover .headerlink,
.post-body h3:hover .headerlink,
.post-body h4:hover .headerlink,
.post-body h5:hover .headerlink,
.post-body h6:hover .headerlink {
  opacity: 0.5;
}
.post-body h1:hover .header-anchor:hover,
.post-body h2:hover .header-anchor:hover,
.post-body h3:hover .header-anchor:hover,
.post-body h4:hover .header-anchor:hover,
.post-body h5:hover .header-anchor:hover,
.post-body h6:hover .header-anchor:hover,
.post-body h1:hover .headerlink:hover,
.post-body h2:hover .headerlink:hover,
.post-body h3:hover .headerlink:hover,
.post-body h4:hover .headerlink:hover,
.post-body h5:hover .headerlink:hover,
.post-body h6:hover .headerlink:hover {
  opacity: 1;
}
.post-body .exturl .fa {
  font-size: 0.875em;
  margin-left: 4px;
}
.post-body .image-caption,
.post-body img + figcaption,
.post-body .fancybox + figcaption {
  color: #999;
  font-size: 0.875em;
  font-weight: bold;
  line-height: 1;
  margin: -20px auto 15px;
  text-align: center;
}
.post-body iframe,
.post-body img,
.post-body video,
.post-body embed {
  margin-bottom: 20px;
}
.post-body .video-container {
  height: 0;
  margin-bottom: 20px;
  overflow: hidden;
  padding-top: 75%;
  position: relative;
  width: 100%;
}
.post-body .video-container iframe,
.post-body .video-container object,
.post-body .video-container embed {
  height: 100%;
  left: 0;
  margin: 0;
  position: absolute;
  top: 0;
  width: 100%;
}
.post-gallery {
  display: flex;
  min-height: 200px;
}
.post-gallery .post-gallery-image {
  flex: 1;
}
.post-gallery .post-gallery-image:not(:first-child) {
  clip-path: polygon(40px 0, 100% 0, 100% 100%, 0 100%);
  margin-left: -20px;
}
.post-gallery .post-gallery-image:not(:last-child) {
  margin-right: -20px;
}
.post-gallery .post-gallery-image img {
  height: 100%;
  object-fit: cover;
  opacity: 1;
  width: 100%;
}
.posts-expand .post-gallery {
  margin-bottom: 60px;
}
.posts-collapse .post-gallery {
  margin: 15px 0;
}
.posts-expand .post-header {
  font-size: 1.125em;
  margin-bottom: 60px;
  text-align: center;
}
.posts-expand .post-title {
  font-size: 1.5em;
  font-weight: normal;
  margin: initial;
  overflow-wrap: break-word;
}
.posts-expand .post-title-link {
  border-bottom: 0;
  color: var(--link-color);
  display: inline-block;
  position: relative;
}
.posts-expand .post-title-link::before {
  background: var(--link-color);
  bottom: 0;
  content: '';
  height: 2px;
  left: 0;
  position: absolute;
  transform: scaleX(0);
  transition: transform 0.2s ease-in-out;
  width: 100%;
}
.posts-expand .post-title-link:hover::before {
  transform: scaleX(1);
}
.posts-expand .post-title-link .fa-external-link-alt {
  font-size: 0.875em;
  margin-left: 5px;
}
.post-sticky-flag {
  display: inline-block;
  margin-right: 8px;
  transform: rotate(30deg);
}
.posts-expand .post-meta-container {
  color: #999;
  font-family: Lato, 'PingFang SC', 'Microsoft YaHei', sans-serif;
  font-size: 0.75em;
  margin-top: 3px;
}
.posts-expand .post-meta-container .post-description {
  font-size: 0.875em;
  margin-top: 2px;
}
.posts-expand .post-meta-container time {
  border-bottom: 1px dashed #999;
  cursor: pointer;
}
.post-meta {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
}
:not(.post-meta-break) + .post-meta-item::before {
  content: '|';
  margin: 0 0.5em;
}
.post-meta-item-icon {
  margin-right: 3px;
}
@media (max-width: 991px) {
  .post-meta-item-text {
    display: none;
  }
}
.post-meta-break {
  flex-basis: 100%;
  height: 0;
}
#busuanzi_container_page_pv {
  display: none;
}
.post-nav {
  border-top: 1px solid #eee;
  display: flex;
  gap: 30px;
  justify-content: space-between;
  margin-top: 1em;
  padding: 10px 5px 0;
}
.post-nav-item {
  flex: 1;
}
.post-nav-item a {
  border-bottom: 0;
  display: block;
  font-size: 0.875em;
  line-height: 1.6;
}
.post-nav-item a:active {
  top: 2px;
}
.post-nav-item .fa {
  font-size: 0.75em;
}
.post-nav-item:first-child .fa {
  margin-right: 5px;
}
.post-nav-item:last-child {
  text-align: right;
}
.post-nav-item:last-child .fa {
  margin-left: 5px;
}
.post-footer {
  display: flex;
  flex-direction: column;
  justify-content: center;
}
.post-eof {
  background: #ccc;
  height: 1px;
  margin: 80px auto 60px;
  width: 8%;
}
.post-block:last-of-type .post-eof {
  display: none;
}
.post-tags {
  margin-top: 40px;
  text-align: center;
}
.post-tags a {
  display: inline-block;
  font-size: 0.8125em;
}
.post-tags a:not(:last-child) {
  margin-right: 10px;
}
.post-widgets {
  border-top: 1px solid #eee;
  margin-top: 15px;
  text-align: center;
}
.wpac-rating-container {
  height: 20px;
  line-height: 20px;
  margin-top: 10px;
  padding-top: 6px;
  text-align: center;
}
.social-like {
  display: flex;
  font-size: 0.875em;
  justify-content: center;
  text-align: center;
}
.reward-container {
  margin: 1em 0 0;
  padding: 1em 0;
  text-align: center;
}
.reward-container button {
  background: transparent;
  color: #87daff;
  cursor: pointer;
  line-height: 2;
  padding: 0 15px;
  border: 2px solid #87daff;
  border-radius: 2px;
  outline: 0;
  transition: all 0.2s ease-in-out;
  vertical-align: text-top;
}
.reward-container button:hover {
  background: #87daff;
  color: #fff;
}
.post-reward {
  display: none;
  padding-top: 20px;
}
.post-reward.active {
  display: block;
}
.post-reward div {
  display: inline-block;
}
.post-reward div span {
  display: block;
}
.post-reward img {
  display: inline-block;
  margin: 0.8em 2em 0;
  max-width: 100%;
  width: 180px;
}
@-moz-keyframes next-roll {
  from {
    transform: rotateZ(30deg);
  }
  to {
    transform: rotateZ(-30deg);
  }
}
@-webkit-keyframes next-roll {
  from {
    transform: rotateZ(30deg);
  }
  to {
    transform: rotateZ(-30deg);
  }
}
@-o-keyframes next-roll {
  from {
    transform: rotateZ(30deg);
  }
  to {
    transform: rotateZ(-30deg);
  }
}
@keyframes next-roll {
  from {
    transform: rotateZ(30deg);
  }
  to {
    transform: rotateZ(-30deg);
  }
}
.category-all-page .category-all-title {
  text-align: center;
}
.category-all-page .category-all {
  margin-top: 20px;
}
.category-all-page .category-list {
  list-style: none;
  margin: 0;
  padding: 0;
}
.category-all-page .category-list-item {
  margin: 5px 10px;
}
.category-all-page .category-list-count {
  color: #bbb;
}
.category-all-page .category-list-count::before {
  content: ' (';
}
.category-all-page .category-list-count::after {
  content: ') ';
}
.category-all-page .category-list-child {
  padding-left: 10px;
}
.event-list hr {
  background: #222;
  margin: 20px 0 45px;
}
.event-list hr::after {
  background: #222;
  color: #fff;
  content: 'NOW';
  display: inline-block;
  font-weight: bold;
  padding: 0 5px;
}
.event-list .event {
  --event-background: #222;
  --event-foreground: #bbb;
  --event-title: #fff;
  background: var(--event-background);
  padding: 15px;
}
.event-list .event .event-summary {
  border-bottom: 0;
  color: var(--event-title);
  margin: 0;
  padding: 0 0 0 35px;
  position: relative;
}
.event-list .event .event-summary::before {
  animation: dot-flash 1s alternate infinite ease-in-out;
  background: var(--event-title);
  left: 0;
  margin-top: -6px;
  position: absolute;
  top: 50%;
  border-radius: 50%;
  content: ' ';
  height: 12px;
  width: 12px;
}
.event-list .event:nth-of-type(odd) .event-summary::before {
  animation-delay: 0.5s;
}
.event-list .event:not(:last-child) {
  margin-bottom: 20px;
}
.event-list .event .event-relative-time {
  color: var(--event-foreground);
  display: inline-block;
  font-size: 12px;
  font-weight: normal;
  padding-left: 12px;
}
.event-list .event .event-details {
  color: var(--event-foreground);
  display: block;
  line-height: 18px;
  padding: 6px 0 6px 35px;
}
.event-list .event .event-details::before {
  color: var(--event-foreground);
  display: inline-block;
  margin-right: 9px;
  width: 14px;
  font-family: 'Font Awesome 5 Free';
  font-weight: 900;
}
.event-list .event .event-details.event-location::before {
  content: '\f041';
}
.event-list .event .event-details.event-duration::before {
  content: '\f017';
}
.event-list .event .event-details.event-description::before {
  content: '\f024';
}
.event-list .event-past {
  --event-background: #f5f5f5;
  --event-foreground: #999;
  --event-title: #222;
}
@-moz-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-webkit-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@-o-keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
@keyframes dot-flash {
  from {
    opacity: 1;
    transform: scale(1);
  }
  to {
    opacity: 0;
    transform: scale(0.8);
  }
}
ul.breadcrumb {
  font-size: 0.75em;
  list-style: none;
  margin: 1em 0;
  padding: 0 2em;
  text-align: center;
}
ul.breadcrumb li {
  display: inline;
}
ul.breadcrumb li:not(:first-child)::before {
  content: '/\00a0';
  font-weight: normal;
  padding: 0.5em;
}
ul.breadcrumb li:last-child {
  font-weight: bold;
}
.tag-cloud {
  text-align: center;
}
.tag-cloud a {
  display: inline-block;
  margin: 10px;
}
.tag-cloud-0 {
  border-bottom-color: #aaa;
  color: #aaa;
}
.tag-cloud-1 {
  border-bottom-color: #9a9a9a;
  color: #9a9a9a;
}
.tag-cloud-2 {
  border-bottom-color: #8b8b8b;
  color: #8b8b8b;
}
.tag-cloud-3 {
  border-bottom-color: #7c7c7c;
  color: #7c7c7c;
}
.tag-cloud-4 {
  border-bottom-color: #6c6c6c;
  color: #6c6c6c;
}
.tag-cloud-5 {
  border-bottom-color: #5d5d5d;
  color: #5d5d5d;
}
.tag-cloud-6 {
  border-bottom-color: #4e4e4e;
  color: #4e4e4e;
}
.tag-cloud-7 {
  border-bottom-color: #3e3e3e;
  color: #3e3e3e;
}
.tag-cloud-8 {
  border-bottom-color: #2f2f2f;
  color: #2f2f2f;
}
.tag-cloud-9 {
  border-bottom-color: #202020;
  color: #202020;
}
.tag-cloud-10 {
  border-bottom-color: #111;
  color: #111;
}
.search-active {
  overflow: hidden;
}
.search-pop-overlay {
  background: rgba(0,0,0,0);
  display: flex;
  height: 100%;
  left: 0;
  position: fixed;
  top: 0;
  transition: visibility 0.4s, background 0.4s;
  visibility: hidden;
  width: 100%;
  z-index: 1400;
}
.search-active .search-pop-overlay {
  background: rgba(0,0,0,0.3);
  visibility: visible;
}
.search-popup {
  background: var(--card-bg-color);
  border-radius: 5px;
  height: 80%;
  margin: auto;
  transform: scale(0);
  transition: transform 0.4s;
  width: 700px;
}
.search-active .search-popup {
  transform: scale(1);
}
@media (max-width: 767px) {
  .search-popup {
    border-radius: 0;
    height: 100%;
    width: 100%;
  }
}
.search-popup .search-icon,
.search-popup .popup-btn-close {
  color: #999;
  font-size: 18px;
  padding: 0 10px;
}
.search-popup .popup-btn-close {
  cursor: pointer;
}
.search-popup .popup-btn-close:hover .fa {
  color: #222;
}
.search-popup .search-header {
  background: #eee;
  border-top-left-radius: 5px;
  border-top-right-radius: 5px;
  display: flex;
  padding: 5px;
}
.search-popup input.search-input {
  background: transparent;
  border: 0;
  outline: 0;
  width: 100%;
}
.search-popup input.search-input::-webkit-search-cancel-button {
  display: none;
}
.search-popup .search-result-container {
  height: calc(100% - 55px);
  overflow: auto;
  padding: 5px 25px;
}
.search-popup .search-result-container hr {
  margin: 5px 0 10px;
}
.search-popup .search-result-container hr:first-child {
  display: none;
}
.search-popup .search-result-list {
  margin: 0 5px;
  padding: 0;
}
.search-popup a.search-result-title {
  font-weight: bold;
}
.search-popup p.search-result {
  border-bottom: 1px dashed #ccc;
  padding: 5px 0;
}
.search-popup .search-input-container {
  flex-grow: 1;
  padding: 2px;
}
.search-popup .no-result {
  display: flex;
}
.search-popup .search-result-list {
  width: 100%;
}
.search-popup .search-result-icon {
  color: #ccc;
  margin: auto;
}
mark.search-keyword {
  background: transparent;
  border-bottom: 1px dashed #ff2a2a;
  color: #ff2a2a;
  font-weight: bold;
}
.use-motion .animated {
  animation-fill-mode: none;
  visibility: inherit;
}
.use-motion .sidebar .animated {
  animation-fill-mode: both;
}
hr {
  height: 2px;
  margin: 20px 0;
}
.btn {
  padding: 0 10px;
}
.headband {
  display: none;
}
.pagination {
  text-align: left;
}
@media (max-width: 767px) {
  .pagination {
    margin: 80px 0 0;
    text-align: center;
  }
}
.footer {
  background: var(--content-bg-color);
  color: var(--text-color);
  padding: 10px 0;
}
.footer-inner {
  text-align: left;
}
@media (max-width: 767px) {
  .footer-inner {
    text-align: center;
  }
}
.header-inner {
  align-items: center;
  display: flex;
  padding: 20px 0;
}
@media (max-width: 767px) {
  .header-inner {
    display: block;
    padding: 10px 0;
  }
}
.site-meta {
  line-height: normal;
}
.site-meta .brand {
  padding: 2px 1px;
}
@media (max-width: 767px) {
  .site-meta .brand {
    display: block;
  }
}
.site-meta .site-title {
  font-weight: bolder;
}
.logo-line {
  background: var(--brand-color);
  display: block;
  height: 2px;
  margin: 0 auto;
  width: 75%;
}
@media (max-width: 767px) {
  .logo-line {
    display: none;
  }
}
.use-motion .logo-line:first-of-type {
  transform: scaleX(0);
  transform-origin: left;
}
.use-motion .logo-line:last-of-type {
  transform: scaleX(0);
  transform-origin: right;
}
.site-subtitle {
  display: none;
}
.site-nav {
  flex-grow: 1;
}
@media (max-width: 767px) {
  .site-nav {
    padding: 10px 10px 0;
  }
}
.menu {
  padding: 0;
}
.menu .menu-item {
  margin: 0;
}
@media (max-width: 767px) {
  .menu .menu-item {
    margin-top: 5px;
  }
}
.menu .menu-item a {
  border-radius: 2px;
  padding: 0 10px;
  transition-property: background;
}
@media (max-width: 767px) {
  .menu .menu-item a {
    text-align: left;
  }
}
.menu .menu-item .badge {
  background: #fff;
  border-radius: 10px;
  color: #555;
  padding: 1px 4px;
  text-shadow: 1px 1px 0 rgba(0,0,0,0.1);
}
.posts-expand.index .post-header {
  text-align: left;
}
@media (max-width: 767px) {
  .posts-expand.index .post-header {
    text-align: center;
  }
}
.posts-expand.index .post-meta-container {
  margin-top: 5px;
}
.posts-expand.index .post-meta {
  justify-content: flex-start;
}
@media (max-width: 767px) {
  .posts-expand.index .post-meta {
    justify-content: center;
  }
}
.posts-expand .post-eof {
  display: none;
}
.posts-expand .post-block:not(:first-child) {
  margin-top: 120px;
}
.posts-expand .post-header {
  margin-bottom: 20px;
}
.posts-expand .post-tags {
  text-align: left;
}
.posts-expand .post-tags a {
  background: var(--content-bg-color);
  border-bottom: 0;
  padding: 1px 5px;
}
.posts-expand .post-tags a:hover {
  background: var(--menu-item-bg-color);
}
.posts-expand .post-nav {
  margin-top: 40px;
}
.post-button {
  margin-top: 20px;
  text-align: left;
}
.post-button .btn {
  background: none;
  border: 0;
  border-bottom: 2px solid var(--btn-default-border-color);
  padding: 0;
  transition-property: border;
}
.post-button .btn:hover {
  border-bottom-color: var(--btn-default-hover-border-color);
}
.main-inner {
  margin: 0 auto;
  width: 700px;
}
@media (min-width: 1200px) {
  .main-inner {
    width: 800px;
  }
}
@media (min-width: 1600px) {
  .main-inner {
    width: 900px;
  }
}
@media (max-width: 767px) {
  .main-inner {
    padding-left: 20px;
    padding-right: 20px;
  }
}
@media (max-width: 767px) {
  .header-inner,
  .main-inner,
  .footer-inner {
    width: auto;
  }
}
.main-inner {
  padding-bottom: 80px;
}
.post-block:first-of-type {
  padding-top: 80px;
}
@media (max-width: 767px) {
  .post-block:first-of-type {
    padding-top: 60px;
  }
}
@media (min-width: 992px) {
  .sidebar-active {
    padding-left: 320px;
  }
}
.sidebar {
  left: -320px;
}
.sidebar-active .sidebar {
  left: 0;
}
.sidebar {
  background: #000080;
  bottom: 0;
  box-shadow: inset 0 2px 6px #000;
  position: fixed;
  top: 0;
  transition: all 0.2s ease-out;
  width: 320px;
  z-index: 1200;
}
.sidebar a {
  border-bottom-color: #555;
  color: #f5f5f5;
}
.sidebar a:hover {
  border-bottom-color: #eee;
  color: #eee;
}
.links-of-author:not(:first-child) {
  margin-top: 15px;
}
.links-of-author a {
  border-bottom-color: #555;
  display: inline-block;
  margin-bottom: 10px;
  margin-right: 10px;
  vertical-align: middle;
}
.links-of-author a::before {
  background: #90862d;
  display: inline-block;
  margin-right: 3px;
  transform: translateY(-2px);
  border-radius: 50%;
  content: ' ';
  height: 4px;
  width: 4px;
}
.links-of-blogroll-item {
  padding: 2px 10px;
}
.links-of-blogroll-item a {
  box-sizing: border-box;
  display: inline-block;
  max-width: 280px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
}
.sub-menu {
  margin: 10px 0;
}
.sub-menu .menu-item {
  display: inline-block;
}
